Bug 1309201 - blkdebug: Operation not supported
blkdebug: Operation not supported
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.8
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Fam Zheng
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-17 02:43 EST by Qianqian Zhu
Modified: 2016-07-05 03:31 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-05 03:31:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Qianqian Zhu 2016-02-17 02:43:18 EST
Description of problem:
qemu-kvm: -drive if=none,id=drive0,rerror=stop,file=blkdebug:blkdebug.cfg:test.raw: could not open disk image blkdebug:blkdebug.cfg:test.raw: Operation not supported

Version-Release number of selected component (if applicable):
qemu-img-0.12.1.2-2.487.el6.x86_64
qemu-kvm-0.12.1.2-2.487.el6.x86_64
kernel-2.6.32-584.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.# cat blkdebug.conf
[inject-error]
event = "read_aio"
errno = "28"
2.# qemu-img create test.raw 1G
3.# /usr/libexec/qemu-kvm -enable-kvm -m 1024 -cpu host -device virtio-scsi-pci -drive if=none,id=drive0,rerror=stop,file=blkdebug:blkdebug.cfg:test.raw  -device scsi-hd,drive=drive0 -monitor stdio

Actual results:
qemu-kvm: -drive if=none,id=drive0,rerror=stop,file=blkdebug:blkdebug.cfg:test.raw: could not open disk image blkdebug:blkdebug.cfg:test.raw: Operation not supported

Expected results:
qemu launched and trigger error like this:
[root@hp-dl388g7-02 ~]# /usr/libexec/qemu-kvm -enable-kvm -m 1024 -cpu host -device virtio-scsi-pci -drive if=none,id=drive0,rerror=stop,file=blkdebug:blkdebug.cfg:test.raw  -device scsi-hd,drive=drive0 -monitor stdio
QEMU 2.1.2 monitor - type 'help' for more information
(qemu) VNC server running on `::1:5900'
block I/O error in device 'drive0': No space left on device (28)

Additional info:
The expected result is from rhel7 with qemu-kvm-rhev-2.1.2-23.el7.x86_64, where blkdebug works well.
Comment 2 Fam Zheng 2016-04-11 02:34:53 EDT
This is not a user visible feature. I'm not sure how important this is for RHEL 6. What is to achieve here? Can you give some justification in additional to the expectation?
Comment 3 Qianqian Zhu 2016-04-11 21:41:50 EDT
(In reply to Fam Zheng from comment #2)
> This is not a user visible feature. I'm not sure how important this is for
> RHEL 6. What is to achieve here? Can you give some justification in
> additional to the expectation?

For my perspective, this feature is only for testing purpose, it might help to accomplish some test cases or trigger some potential bugs, but anyway, this might be in low severity.

Note You need to log in before you can comment on or make changes to this bug.